define(["require", "exports", "react", "office-ui-fabric-react/lib/Button", "office-ui-fabric-react/lib/Panel", "@uifabric/react-hooks"], function (require, exports, React, Button_1, Panel_1, react_hooks_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var explanation = 'This panel uses "light dismiss" behavior: it can be closed by clicking or tapping ' +
        'the area outside the panel (or using the close button as usual).';
    exports.PanelLightDismissExample = function () {
        var _a = React.useState(false), isOpen = _a[0], setIsOpen = _a[1];
        var openPanel = react_hooks_1.useConstCallback(function () { return setIsOpen(true); });
        var dismissPanel = react_hooks_1.useConstCallback(function () { return setIsOpen(false); });
        return (React.createElement("div", null,
            explanation,
            React.createElement("br", null),
            React.createElement("br", null),
            React.createElement(Button_1.DefaultButton, { text: "Open panel", onClick: openPanel }),
            React.createElement(Panel_1.Panel, { isLightDismiss: true, isOpen: isOpen, onDismiss: dismissPanel, closeButtonAriaLabel: "Close", headerText: "Light dismiss panel" },
                React.createElement("p", null, explanation))));
    };
});
//# sourceMappingURL=Panel.LightDismiss.Example.js.map