define(["require", "exports", "tslib", "react", "office-ui-fabric-react/lib/Persona", "office-ui-fabric-react/lib/Label", "office-ui-fabric-react/lib/Stack", "office-ui-fabric-react/lib/Styling"], function (require, exports, tslib_1, React, Persona_1, Label_1, Stack_1, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var examplePersona = {
        imageUrl: 'https://static2.sharepointonline.com/files/fabric/office-ui-fabric-react-assets/persona-female.png',
        imageInitials: 'AL',
        text: 'Annie Lindqvist',
        secondaryText: 'Software Engineer',
        tertiaryText: 'In a meeting',
        optionalText: 'Available at 4:00pm'
    };
    var rootClass = Styling_1.mergeStyles({
        selectors: {
            '.ms-Persona': {
                margin: '0 20px 20px 0'
            }
        }
    });
    var PersonaPresenceExample = /** @class */ (function (_super) {
        tslib_1.__extends(PersonaPresenceExample, _super);
        function PersonaPresenceExample() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        PersonaPresenceExample.prototype.render = function () {
            return (React.createElement("div", { className: rootClass },
                React.createElement(Stack_1.Stack, { horizontal: true },
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Online"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, imageAlt: "Annie Lindqvist, status is online." }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, imageAlt: "Annie Lindqvist, status is online." })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, imageAlt: "Annie Lindqvist, status is online." })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, imageAlt: "Annie Lindqvist, status is online." })))),
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Online + Out of Office"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is online and out of office." }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is online and out of office." })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is online and out of office." })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.online, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is online and out of office." }))))),
                React.createElement(Stack_1.Stack, { horizontal: true },
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Away"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, imageAlt: "Annie Lindqvist, status is away." }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, imageAlt: "Annie Lindqvist, status is away." })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, imageAlt: "Annie Lindqvist, status is away." })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, imageAlt: "Annie Lindqvist, status is away." })))),
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Away + Out of Office"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is away and out of office." }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is away and out of office." })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is away and out of office." })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.away, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is away and out of office." }))))),
                React.createElement(Stack_1.Stack, { horizontal: true },
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Busy"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, imageAlt: "Annie Lindqvist, status is busy" }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, imageAlt: "Annie Lindqvist, status is busy" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, imageAlt: "Annie Lindqvist, status is busy" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, imageAlt: "Annie Lindqvist, status is busy" })))),
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Busy + Out of Office"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is busy and out of office" }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is busy and out of office" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is busy and out of office" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.busy, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is busy and out of office" }))))),
                React.createElement(Stack_1.Stack, { horizontal: true },
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Do not Disturb"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, imageAlt: "Annie Lindqvist, status is do not disturb" }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, imageAlt: "Annie Lindqvist, status is do not disturb" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, imageAlt: "Annie Lindqvist, status is do not disturb" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, imageAlt: "Annie Lindqvist, status is do not disturb" })))),
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Do not Disturb + Out of Office"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is do not disturb and out of office" }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is do not disturb and out of office" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is do not disturb and out of office" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.dnd, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is do not disturb and out of office" }))))),
                React.createElement(Label_1.Label, null, "Blocked"),
                React.createElement(Stack_1.Stack, { horizontal: true },
                    React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.blocked, imageAlt: "Annie Lindqvist, status is blocked" }),
                    React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.blocked, imageAlt: "Annie Lindqvist, status is blocked" })),
                    React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.blocked, imageAlt: "Annie Lindqvist, status is blocked" })),
                    React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.blocked, imageAlt: "Annie Lindqvist, status is blocked" }))),
                React.createElement(Stack_1.Stack, { horizontal: true },
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Offline"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, imageAlt: "Annie Lindqvist, status is offline" }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, imageAlt: "Annie Lindqvist, status is offline" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, imageAlt: "Annie Lindqvist, status is offline" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, imageAlt: "Annie Lindqvist, status is offline" })))),
                    React.createElement(Stack_1.Stack, null,
                        React.createElement(Label_1.Label, null, "Offline + Out of Office"),
                        React.createElement(Stack_1.Stack, { horizontal: true },
                            React.createElement(Persona_1.Persona, { text: "", size: Persona_1.PersonaSize.size8, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is offline and out of office" }),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size24, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is offline and out of office" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is offline and out of office" })),
                            React.createElement(Persona_1.Persona, tslib_1.__assign({}, examplePersona, { size: Persona_1.PersonaSize.size72, hidePersonaDetails: true, presence: Persona_1.PersonaPresence.offline, isOutOfOffice: true, imageAlt: "Annie Lindqvist, status is offline and out of office" })))))));
        };
        return PersonaPresenceExample;
    }(React.Component));
    exports.PersonaPresenceExample = PersonaPresenceExample;
});
//# sourceMappingURL=Persona.Presence.Example.js.map