"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var office_ui_fabric_react_1 = require("office-ui-fabric-react");
var emojiIcon = { iconName: 'Emoji2' };
var menuProps = {
    items: [
        {
            key: 'emailMessage',
            text: 'Email message',
            iconProps: { iconName: 'Mail' }
        },
        {
            key: 'calendarEvent',
            text: 'Calendar event',
            iconProps: { iconName: 'Calendar' }
        }
    ],
    directionalHintFixed: true
};
exports.ButtonIconExample = function (props) {
    var disabled = props.disabled, checked = props.checked;
    return (React.createElement("div", null,
        React.createElement(office_ui_fabric_react_1.Stack, { tokens: { childrenGap: 8 }, horizontal: true },
            React.createElement(office_ui_fabric_react_1.IconButton, { iconProps: emojiIcon, title: "Emoji", ariaLabel: "Emoji", disabled: disabled, checked: checked }),
            React.createElement(office_ui_fabric_react_1.IconButton, { menuProps: menuProps, iconProps: emojiIcon, title: "Emoji", ariaLabel: "Emoji", disabled: disabled, checked: checked })),
        React.createElement("p", null,
            "For a list of Icons, visit our ",
            React.createElement(office_ui_fabric_react_1.Link, { href: "https://developer.microsoft.com/en-us/fabric#/styles/icons" }, "Icon documentation"),
            ".")));
};
//# sourceMappingURL=Button.Icon.Example.js.map